Search found 153 matches

Go to advanced search

by crobar
Thu Apr 27, 2017 3:29 pm
Forum: Help on using FreeCAD
Topic: How to create a handrail scroll/volute shape based on fibbonacci?
Replies: 16
Views: 2284

Re: How to create a handrail scroll/volute shape based on fibbonacci?

Thanks for the suggestions so far, the problem is that none of these crete the kind of shape needed, because the sweep actually needs to self-intersect and keep the profile shape. The closest I've come is the following script which makes it in parts and tries to fuse them at the end, but the fuse fa...
by crobar
Wed Apr 26, 2017 9:21 pm
Forum: Help on using FreeCAD
Topic: How to create a handrail scroll/volute shape based on fibbonacci?
Replies: 16
Views: 2284

Re: How to create a handrail scroll/volute shape based on fibbonacci?

Made some progress with the attached script, but not sure where to go from here: import math import Part import Draft from FreeCAD import Vector def fibonacci_spiral_connected ( n=101 ): """ FIBONACCI_SPIRAL_CONNECTED draws connected points on a Fibonacci spiral. Licensing: This code is distributed ...
by crobar
Wed Apr 26, 2017 2:39 pm
Forum: Help on using FreeCAD
Topic: How to create a handrail scroll/volute shape based on fibbonacci?
Replies: 16
Views: 2284

How to create a handrail scroll/volute shape based on fibbonacci?

Hello, I would like to create a scroll for a victorian style handrail, something like the picture below (don't know how to change the image size here?): Scroll-example-Victorian-banister2013-10-15-12.21.jpg More detailed description can be found at http://www.thisiscarpentry.com/2009/07/15/drawing-a...
by crobar
Wed Apr 26, 2017 8:57 am
Forum: Developers corner
Topic: Improving documentation of python API
Replies: 8
Views: 1288

Re: Improving documentation of python API

ok, well I'll probably start doing this, but it will be gradual, as I come up against things I can't understand from the docstring, a first candidate is probably Draft makeBezCurve. The string is makeBezCurve(pointslist, closed=False, placement=None, face=True, support=None, Degree=None) makeBezCurv...
by crobar
Tue Apr 25, 2017 4:46 pm
Forum: Developers corner
Topic: Improving documentation of python API
Replies: 8
Views: 1288

Re: Improving documentation of python API

Well, the way I tend to work is in the interactive shell, maybe type something like Part. then look at what comes up in the tab completion, if I see a function think might do the job, say, makeLine I'll then do help (Part.makeLine) to see what it does and what the expected input/output is. The probl...
by crobar
Tue Apr 25, 2017 8:57 am
Forum: Developers corner
Topic: Improving documentation of python API
Replies: 8
Views: 1288

Improving documentation of python API

I'm interested in improving the documentation of the python API. Sometimes the help provided for functions is very sparse and it is difficult to navigate using the python 'help' command. I'd like to write more detailed help for some functions using something more like the Google style for python hel...
by crobar
Mon Apr 24, 2017 10:21 am
Forum: Help on using FreeCAD
Topic: Why does my loft kiink?
Replies: 30
Views: 3759

Re: Why does my loft kiink?

I thought I might as well follow this up with my final output, and the script that produced it, so anyone can benefit from the help I got. The script below produces a curved handrail which, I believe is the same as would be created if you used the classical tangent handrail drawing method to make it...
by crobar
Fri Apr 21, 2017 7:22 am
Forum: Help on using FreeCAD
Topic: Why does my loft kiink?
Replies: 30
Views: 3759

Re: Why does my loft kiink?

Hi, See this : https://forum.freecadweb.org/viewtopic.php?f=22&t=21636#p168339 Or this little example : ps = Part.BRepOffsetAPI.MakePipeShell(sweepPath) ps.setBiNormalMode( directionVector) for pro in Profiles: ps.add( pro, False, False) # add(shape, contact, rotate_ortho ) if ps.isReady(): ps.buil...
by crobar
Thu Apr 20, 2017 9:41 pm
Forum: Help on using FreeCAD
Topic: Why does my loft kiink?
Replies: 30
Views: 3759

Re: Why does my loft kiink?

Hi, Here is what I've been able to get : I don't know if it matches what you're looking for ? It is a sweep with Binormal mode set to (0,0,-1) direction. This mode is not accessible through the GUI, but with python. sweep-binormal.fcstd Having tried all the answers here, I now think this might actu...
by crobar
Tue Apr 18, 2017 9:48 pm
Forum: Help on using FreeCAD
Topic: Why does my loft kiink?
Replies: 30
Views: 3759

Re: Why does my loft kiink?

See attached, the seep results in a shape unsuitable for a stair handrail because of profile rotation Just opened your file and noticed you used a B-spline as path. Can't you use helical sections? Then the Frenet option (which prevents profile rotation) will work. Yes, in fact I had instead swithed...

Go to advanced search